Name:           chess
Version:        1.0
Release:        23%{?dist}
Summary:        3D chess game
Group:          Amusements/Games
License:        GPLv2+
URL:            http://www.steviedisco.co.uk
# This file identical to: http://www.steviedisco.co.uk/files/chess_src.zip
# except that it has the MS copyrighted tahoma.ttf file removed.
Source0:        chess_src.zip
Source1:        chess.desktop
Source2:        chess.png
Source3:        cegui-0.5-windowslook.tar.gz
Patch0:         chess-ogre12+gcc41+fixes.patch
Patch1:         chess-ogre14.patch
Patch2:         chess-ogre16.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  ogre-devel ois-devel cegui-devel coldet-devel boost-devel
BuildRequires:  desktop-file-utils
# This is used as Tahoma replacement
Requires:       /usr/share/fonts/dejavu/DejaVuSans.ttf, hicolor-icon-theme

%description
Beautifull 3D rendered chess game using Ogre. Notice that this needs a
powerful 3D card to be playable on a radeon 92xx or intel 9xx integrated
graphics this is not playable!


%prep
%setup -q -c -a 3
%patch0 -p1
%patch1 -p1 -z .ogre14
%patch2 -p1
sed -i 's/\r//' Readme.txt License/gpl.txt
# remove patch backup file to stop it from getting installed
rm media/gui/tahoma-12.font.ogre14
# fixup plugins.cfg on 64 bit systems
sed -i 's!/usr/lib!%{_libdir}!' plugins.cfg
# convert models to latest format
for i in media/models/*.mesh; do
  OgreMeshUpgrade $i
done


%build
make %{?_smp_mflags} PREFIX=%{_prefix} OPTFLAGS="$RPM_OPT_FLAGS -fsigned-char"


%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT%{_prefix}

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install -p -m 644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc Readme.txt License/gpl.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png


%changelog
* Thu Dec 18 2008 Petr Machata <pmachata@redhat.com> - 1.0-23
- Rebuild for new boost

* Wed Dec  3 2008 Hans de Goede <hdegoede@redhat.com> 1.0-22
- Rebuild for new cegui

* Mon Dec  1 2008 Hans de Goede <hdegoede@redhat.com> 1.0-21
- Use dejavu instead of bitstream-vera font (rh 473564)

* Fri Oct  3 2008 Alexey Torkhov <atorkhov@gmail.com> 1.0-20
- Fixing broken deps

* Fri Sep 19 2008 Alexey Torkhov <atorkhov@gmail.com> 1.0-19
- Port to OGRE 1.6

* Sun Aug 17 2008 Hans de Goede <jwrdegoede@fedoraproject.org> 1.0-18
- Rebuild for new boost

* Fri Jul 11 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-17
- Rebuild for new cegui

* Wed Jul  2 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-16
- Rebuild for new ogre

* Thu May 22 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-15
- Rebuild for new cegui

* Tue May 13 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-14
- Rebuild for new ogre

* Sun Mar 16 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-13
- Rebuild for new ogre

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0-12
- Autorebuild for GCC 4.3

* Sat Dec 29 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-11
- Rebuild for new ogre

* Mon Oct  8 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-10
- Rebuild for new ogre

* Sat Sep 15 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-9
- Rebuild for new ogre

* Tue Aug 21 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-8
- Rebuild for buildId

* Fri Aug  3 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-7
- Update License tag for new Licensing Guidelines compliance
- Rebuild against new boost

* Sun Jul  1 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-6
- Port to Ogre 1.4.x + OIS

* Fri Feb 16 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-5
- Rebuild for new ogre

* Fri Oct 27 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-4
- Rebuild for new ogre

* Mon Aug 28 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-3
- FE6 Rebuild

* Tue Aug  1 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-2
- Rebuild for new ogre

* Mon Jun 26 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-1
- Initial Fedora Extras package
